// store/index.js
import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
	// imgpath: 'https://hylj-1323137866.cos.ap-chongqing.myqcloud.com',//云联融智图片请求地址
	// logoname:'云联融智优选',
	// appid:'wxd70f99287830cb51',
	// imgpath: 'https://fbylive.obs.cn-southwest-2.myhuaweicloud.com',//福本源图片请求地址
	// logoname:'乐氏本源',
	// appid:'wxb9b453d37c5fad45',
	// imgpath: 'https://sft-1361917636.cos.ap-chongqing.myqcloud.com',//四福堂图片请求地址
	// logoname:'四福堂',
	// imgpath: 'https://zkzh-2025.oss-cn-beijing.aliyuncs.com',//中康图片请求地址
	// logoname:'中康未来智慧',
	// appid:'wxedde588767b358b1',
	imgpath: 'https://zkzh-2025.oss-cn-beijing.aliyuncs.com',//新中康图片请求地址
	logoname:'中康未来智慧',
	appid:'wx414427b10866c04e',
	// imgpath: 'https://fc-1361520560.cos.ap-beijing.myqcloud.com',//蜂巢快药图片请求地址
	// logoname:'蜂巢快药',
	// appid:'wx903d9aee9cffb320',////蜂巢快药
	// imgpath: 'https://fc-1361520560.cos.ap-beijing.myqcloud.com/haoyisheng',//好宜生图片请求地址
	// logoname:'好宜生佳园',
	// appid:'wxa843c1c3e52efbf8',//好宜生佳园
	// imgpath: 'https://userapp.whhm.ylrzcloud.com',//惠名大药房图片请求地址
	// logoname:'惠名大药房',
	// appid:'wxec49f9d783abf233'//h5,
	// imgpath: 'https://liangmiao.obs.cn-southwest-2.myhuaweicloud.com',//良苗图片请求地址
	// logoname:'良苗',
	// appid:'wx80dc06697b583cd9',
	// imgpath: 'https://beiliyo-2025.obs.cn-north-4.myhuaweicloud.com',//倍力优图片请求地址
	// logoname:'倍力优',
	// appid:'wx301ab2fad04c658a',
	// imgpath: 'https://bnkc-1323137866.cos.ap-chongqing.myqcloud.com',//百年康城图片请求地址
	// logoname:'百年康成',
	// appid:'wx0d021524695f1943'//h5,
	// imgpath: 'https://drk-1363981074.cos.ap-chongqing.myqcloud.com',//德瑞康图片请求地址
	// logoname:'青岛市德瑞康',
	// appid:'wx29d26f63f836be7f',
	// imgpath: 'https://jkjobs.ylrztop.com',//金慷建图片请求地址
	// logoname:'金慷建',
	// appid:'wxa73f0d48f1f2f66c',
  },
  mutations: {
    setCount(state, value) {
      state.count = value;
    },
    setUserInfo(state, info) {
      state.userInfo = info;
    }
  },
  actions: {
    fetchUser({ commit }) {
      // const res = await uni.request({ url: '/api/user' });
      commit('setUserInfo', 'noe');
    }
  }
});